Upgrade from 3.07-PL1 to 3.3

Get help with installation and running phpBB 3.3.x here. Please do not post bug reports, feature requests, or extension related questions here.
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

Hi, please help I am looking for an upgrade from phpBB 3.0.7-PL1 to 3.0.14 and then all the way to 3.3

,,,,,,,,,,,,,,,,,,,,,,,,,,,
What version of phpBB are you using? phpBB 3.0.7-PL1
What is your board's URL? http://apollonistis.com/forum
Who do you host your board with? hostgator
How did you install your board? I used the download package from phpBB.com
What is the most recent action performed on your board? Disabled a bought theme and enable prosilver
Is registration required to reproduce this issue? No
Do you have any MODs installed? The only one I was using is ROKKBB3 from Rocket Theme, now I disabled and searching from the seller how to delete completely
What version of phpBB3 did you update from? It is 10 years now I run the last update I think it was 2.02
What MODs do you have installed? Maybe the Auto Mod
What styles do you currently have installed? prosilver
What language(s) is your board currently using? en, el
Which database type/version are you using? Not sure maybe MySQL 4
What is your level of experience? Amateur to phpBB
When did your problem begin? Recently I did a local host back up the forum works

Please describe your problem. I can not locate and download the automatic update from phpbb 3.0.7-PL1 to to 3.0.14, also I do not know how to progress with the automatic updates so to finally reach 3.3.

Also I will be running using WAMP local host environment, do not know if I will encounter cookies problems and how to fix, previously I was using the Auto Cookies Mod

thanks in advance
User avatar
Mick
Support Team Member
Support Team Member
Posts: 22834
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket probably.

Re: Upgrade from 3.07-PL1 to 3.3

Post by Mick »

Hello, welcome to phpBB.

See the Upgrade Guide 3.0 to 3.3. You need to follow the guide exactly and in order, do not skip the part about the STK as you have mods.
"The more connected we get the more alone we become" - Kyle Broflovski©
User avatar
warmweer
Jr. Extension Validator
Posts: 5547
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrade from 3.07-PL1 to 3.3

Post by warmweer »

Adding to Mick:

Since you have to use the STK, you'll need a php version suitable for that, and that won't be suitable for phpBB3.3, implying you'll have to switch php version before upgrading.
I therefore suggest you update to 3.0.14 (using the full package), then use the STK, then switch to php7.2 or higher and only then upgrade to 3.3
You mention using Wamp: If it's an old version you'll need to upgrade that in order to use php 7+
Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

warmweer wrote:
Tue Oct 13, 2020 8:40 am
Adding to Mick:

Since you have to use the STK, you'll need a php version suitable for that, and that won't be suitable for phpBB3.3, implying you'll have to switch php version before upgrading.
I therefore suggest you update to 3.0.14 (using the full package), then use the STK, then switch to php7.2 or higher and only then upgrade to 3.3
You mention using Wamp: If it's an old version you'll need to upgrade that in order to use php 7+
thanks for your response, dummy question what is STK?
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

Mick wrote:
Tue Oct 13, 2020 7:28 am
Hello, welcome to phpBB.

See the Upgrade Guide 3.0 to 3.3. You need to follow the guide exactly and in order, do not skip the part about the STK as you have mods.
thank you for the detailed answer
User avatar
thecoalman
Community Team Member
Community Team Member
Posts: 4118
Joined: Wed Dec 22, 2004 3:52 am
Location: Pennsylvania, U.S.A.
Contact:

Re: Upgrade from 3.07-PL1 to 3.3

Post by thecoalman »

The STK or support Tool Kit is uploaded script that can perform operations on phpBB 3.0.x installation.

https://www.phpbb.com/support/stk/

The important thing it can do is return a database to stock phpBB version by removing unnecessary tables and columns that have been added to tables. While this is not absolutely necessary it's good practice because tables and columns added by old mods could conflict with extensions in newer versions of phpBB.
“Results! Why, man, I have gotten a lot of results! I have found several thousand things that won’t work.”

Attributed - Thomas Edison
User avatar
Mick
Support Team Member
Support Team Member
Posts: 22834
Joined: Fri Aug 29, 2008 9:49 am
Location: Watching cricket probably.

Re: Upgrade from 3.07-PL1 to 3.3

Post by Mick »

faos333 wrote:
Tue Oct 13, 2020 12:13 pm
what is STK?
The Support Tool Kit is an official suite of gadgets that was written for 3.0, it doesn’t work with newer versions. It can be used, apart from anything else, to clean up a 3.0 dB to prepare it for upgrading. There’s a link to it in the instructions given or you can check it over here Support Toolkit. Note there is a third party toolkit for later versions of phpBB but it’s not official.
"The more connected we get the more alone we become" - Kyle Broflovski©
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

Thank you all for the helpful replies, they are appreciated a lot.
One more question can you give me a direct link to download the 3.0.14 update?
thanks
User avatar
warmweer
Jr. Extension Validator
Posts: 5547
Joined: Fri Jul 04, 2003 6:34 am
Location: Van Allen Bel ... gium

Re: Upgrade from 3.07-PL1 to 3.3

Post by warmweer »

Spelling is freeware, which means you can use it for free.
On the other hand, it is not open source, which means you cannot change it or publish it in a modified form.
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

:D :D :D :D
User avatar
stevemaury
Support Team Member
Support Team Member
Posts: 51591
Joined: Thu Nov 02, 2006 12:21 am
Location: The U.P.
Name: Steve
Contact:

Re: Upgrade from 3.07-PL1 to 3.3

Post by stevemaury »

Does this mean you were successful?
For REALLY good and VERY inexpensive hosting CLICK HERE

I can stop all your spam. I can upgrade or update your Board. PM or email me. (Paid support)
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

stevemaury wrote:
Wed Oct 14, 2020 5:51 pm
Does this mean you were successful?
I have not tried it yet, I have to down load a fresh sql base update first.
I will soon let you know.
Thanks for asking
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

I did the backup, run the STK, but no luck yet, I can not start the installation process yet, I am trying to see what I did wrong
User avatar
Lumpy Burgertushie
Registered User
Posts: 68178
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Upgrade from 3.07-PL1 to 3.3

Post by Lumpy Burgertushie »

if you explain what problem you are having, what you mean by you can't start the process yet etc.
then we can probably help you with it.

robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?
User avatar
faos333
Registered User
Posts: 10
Joined: Tue Oct 13, 2020 12:20 am

Re: Upgrade from 3.07-PL1 to 3.3

Post by faos333 »

SUCCESS, today managed all the updates to run and I am proud to say that our forum has been upgraded from the ancient phpBB 3.0.7-PL1 to phpBB 3.2.5.

The whole process although simple and repetitive, can go wrong for many different reasons.

In my opinion better to run at local host installing a WAMP server.
Then the database backup either you ask for it, or you need to know exactly what you are trying to do, eg collation language, import, export through phpMyAdmin.
Creating a phpBB forum also requires some knowledge and experience.
For example the captca/plugins gave me a small headache and I had to open them in Notepad +++
The STK not so difficult, but if you do not ask for an auto generated password, you can not start it.
In this process the php version you use it might be a problem, if not set right, I chose php 5.6.40

Only then we start upgrading, which is quite easy, but then again the notorious php version should be given extra care.
I found that anything at or above 5.6 and below 7.1 works for phpbb 3.0.8 ( or so ) up to 3.2. Amid few problems.

Finally, reached tonight the phpBB 3.2.5 and coming next is the final upgrade to 3.3.

Thank you all for your interest and help.

PS I believe that for the hpBB community to shine again in numbers, developers need to concentrate on creating a WordPress like experience for the user, in updating, in plugins etc. Emphasis should be given to easiness, and mobile friendly appearance.

I would very much like to have dark modes, easy sign in procedure for forum members with gmail, or even the mobile phone number etc
Last edited by faos333 on Wed Oct 21, 2020 12:57 pm, edited 1 time in total.
Post Reply

Return to “[3.3.x] Support Forum”